SDK для Pocketbook Pro
На страницу Пред.  1, 2, 3 ... 16, 17, 18
 
Найти сообщения без ответов
Начать новую тему   Ответить на тему    Список форумов The-eBook -> PocketBook -> PocketBook Free
 
Автор Сообщение

Sinclair
Новенький участник форума

Новенький участник форума



Зарегистрирован: 01.10.2013
Сообщения: 4



СообщениеДобавлено: 15.10.2013 14:50     Цитата

Всем доброго времени суток!

Возникла проблемка похожая, как у RuslanAx.
Разница в том, что у меня SDK от sergeyvl (pbsdk-linux-1.1.0.deb) стоит на Ubuntu 12.04 32-bit.

Код:

~/Documents/Codes/calc# make BUILD=emu
gcc -c -o obj_emu/calcexe.c.o -D__EMU__ -DIVSAPP -Wall -g -m32  -MTobj_emu/calcexe.c.o -MF`echo obj_emu/calcexe.c.o | sed -e 's,\.o$,.d,'` -MD -MP calcexe.c
pbres -c obj_emu/button18.bmp.c images/button18.bmp
gcc -c -o obj_emu/button18.bmp.c.o -D__EMU__ -DIVSAPP -Wall -g -m32  -MTobj_emu/button18.bmp.c.o -MF`echo obj_emu/button18.bmp.c.o | sed -e 's,\.o$,.d,'` -MD -MP obj_emu/button18.bmp.c
pbres -c obj_emu/button19.bmp.c images/button19.bmp
gcc -c -o obj_emu/button19.bmp.c.o -D__EMU__ -DIVSAPP -Wall -g -m32  -MTobj_emu/button19.bmp.c.o -MF`echo obj_emu/button19.bmp.c.o | sed -e 's,\.o$,.d,'` -MD -MP obj_emu/button19.bmp.c
pbres -c obj_emu/button4.bmp.c images/button4.bmp
gcc -c -o obj_emu/button4.bmp.c.o -D__EMU__ -DIVSAPP -Wall -g -m32  -MTobj_emu/button4.bmp.c.o -MF`echo obj_emu/button4.bmp.c.o | sed -e 's,\.o$,.d,'` -MD -MP obj_emu/button4.bmp.c
pbres -c obj_emu/button9.bmp.c images/button9.bmp
gcc -c -o obj_emu/button9.bmp.c.o -D__EMU__ -DIVSAPP -Wall -g -m32  -MTobj_emu/button9.bmp.c.o -MF`echo obj_emu/button9.bmp.c.o | sed -e 's,\.o$,.d,'` -MD -MP obj_emu/button9.bmp.c
g++ -o obj_emu/calc obj_emu/calcexe.c.o obj_emu/button18.bmp.c.o obj_emu/button19.bmp.c.o obj_emu/button4.bmp.c.o obj_emu/button9.bmp.c.o -m32 -linkview
/usr/bin/ld: warning: libjpeg.so.62, needed by /usr/lib/gcc/i686-linux-gnu/4.6/../../../../lib/libinkview.so, not found (try using -rpath or -rpath-link)
/usr/lib/gcc/i686-linux-gnu/4.6/../../../../lib/libinkview.so: undefined reference to `jpeg_read_scanlines'
/usr/lib/gcc/i686-linux-gnu/4.6/../../../../lib/libinkview.so: undefined reference to `jpeg_set_defaults'
/usr/lib/gcc/i686-linux-gnu/4.6/../../../../lib/libinkview.so: undefined reference to `jpeg_write_scanlines'
/usr/lib/gcc/i686-linux-gnu/4.6/../../../../lib/libinkview.so: undefined reference to `jpeg_finish_compress'
/usr/lib/gcc/i686-linux-gnu/4.6/../../../../lib/libinkview.so: undefined reference to `jpeg_set_quality'
/usr/lib/gcc/i686-linux-gnu/4.6/../../../../lib/libinkview.so: undefined reference to `jpeg_destroy_decompress'
/usr/lib/gcc/i686-linux-gnu/4.6/../../../../lib/libinkview.so: undefined reference to `jpeg_CreateDecompress'
/usr/lib/gcc/i686-linux-gnu/4.6/../../../../lib/libinkview.so: undefined reference to `jpeg_read_header'
/usr/lib/gcc/i686-linux-gnu/4.6/../../../../lib/libinkview.so: undefined reference to `jpeg_stdio_src'
/usr/lib/gcc/i686-linux-gnu/4.6/../../../../lib/libinkview.so: undefined reference to `jpeg_destroy_compress'
/usr/lib/gcc/i686-linux-gnu/4.6/../../../../lib/libinkview.so: undefined reference to `jpeg_stdio_dest'
/usr/lib/gcc/i686-linux-gnu/4.6/../../../../lib/libinkview.so: undefined reference to `jpeg_finish_decompress'
/usr/lib/gcc/i686-linux-gnu/4.6/../../../../lib/libinkview.so: undefined reference to `jpeg_start_decompress'
/usr/lib/gcc/i686-linux-gnu/4.6/../../../../lib/libinkview.so: undefined reference to `jpeg_start_compress'
/usr/lib/gcc/i686-linux-gnu/4.6/../../../../lib/libinkview.so: undefined reference to `jpeg_CreateCompress'
/usr/lib/gcc/i686-linux-gnu/4.6/../../../../lib/libinkview.so: undefined reference to `jpeg_std_error'
collect2: ld returned 1 exit status
make: *** [obj_emu/calc] Error 1


Т.е. у меня тоже не находит libjpeg.so.62, хотя такой файл есть по пути
/usr/arm-linux/lib/libjpeg.so.62
и
/usr/arm-none-linux-gnueabi/lib/libjpeg.so.62
Соответственно
make BUILD=arm и make BUILD=arm_gnueabi
проходят на "ура", а вот для эмулятора нет.

Попутно еще один вопрос, какой вариант (arm или arm_gnueabi) правильный для PocketBook 623?

Заранее спасибо!
 
Профиль Сообщение ^

pal
Член клуба The eBook

Член клуба The eBook



Зарегистрирован: 08.01.2012
Сообщения: 1510



СообщениеДобавлено: 15.10.2013 16:13     Цитата

Sinclair
При сборке под эмулятор библиотека libinkview.so должна быть собрана под x86, и , соответственно, хочет видеть libjpeg.so.62 для архитектуры x86.
libjpeg62-dev установлен?
_________________
Idea Кто хочет действовать, тот ищет возможности, кто не хочет — ищет причины.
 
Профиль Сообщение ^

Sinclair
Новенький участник форума

Новенький участник форума



Зарегистрирован: 01.10.2013
Сообщения: 4



СообщениеДобавлено: 15.10.2013 18:21     Цитата

pal
Спасибо большое!
Поставил libjpeg62-dev и все завелось как часы.
 
Профиль Сообщение ^

hx
Недавний участник форума

Недавний участник форума



Зарегистрирован: 13.08.2013
Сообщения: 14



СообщениеДобавлено: 17.09.2014 23:29     Цитата

Подскажите, возможно ли реализовать в собственном приложении передачу данных по USB?
 
Профиль Сообщение ^

pal
Член клуба The eBook

Член клуба The eBook



Зарегистрирован: 08.01.2012
Сообщения: 1510



СообщениеДобавлено: 18.09.2014 18:08     Цитата

Смотря какого вида передача. Модуль g_ether.ko (ip over usb) присутствует в некоторых прошивках.
_________________
Idea Кто хочет действовать, тот ищет возможности, кто не хочет — ищет причины.
 
Профиль Сообщение ^

slav0nic
Зрелый участник форума

Зрелый участник форума



Зарегистрирован: 26.12.2009
Сообщения: 29



СообщениеДобавлено: 24.04.2015 16:30     Цитата

подскажите где сказать последний pbsdk-linux-1.1.0.deb ? все ссылки битыет
_________________
pb360(15.3)/pb611(16.0 )
 
Профиль Сообщение ^

brucelee
Искушенный участник форума

Искушенный участник форума



Зарегистрирован: 10.03.2015
Сообщения: 66



СообщениеДобавлено: 24.04.2015 16:42     Цитата

http://www.the-ebook.org/forum/viewtopic.php?p=1225386#1225386
 
Профиль Сообщение ^

slav0nic
Зрелый участник форума

Зрелый участник форума



Зарегистрирован: 26.12.2009
Сообщения: 29



СообщениеДобавлено: 25.04.2015 15:34     Цитата

brucelee спс, не доглядел

а примеров сборки/портирования стороннего линуксового софта (без граф интерфейса) нигде нет? аля мейкфайлы для сборки vsftpd, ssh и тп
_________________
pb360(15.3)/pb611(16.0 )
 
Профиль Сообщение ^

Antuan
Член клуба The eBook

Член клуба The eBook



Зарегистрирован: 30.09.2009
Сообщения: 11612


Откуда: Киев

СообщениеДобавлено: 25.04.2015 16:46     Цитата

slav0nic писал(а):
а примеров сборки/портирования стороннего линуксового софта (без граф интерфейса) нигде нет? аля мейкфайлы для сборки vsftpd, ssh и тп

На сколько я помню можно использовать консольные утилиты собранные для arm debian.

http://www.the-ebook.org/forum/viewtopic.php?p=1015605#1015605
http://www.the-ebook.org/forum/viewtopic.php?p=1003109#1003109
_________________
PB 360° (v.15.3) | PB Pro 602 Grey (v.2.2.1a fastdrv) | PB A7 (v.1.3.1583) - подарок от PocketBook.
 
Профиль Сообщение ^

pal
Член клуба The eBook

Член клуба The eBook



Зарегистрирован: 08.01.2012
Сообщения: 1510



СообщениеДобавлено: 25.04.2015 23:52     Цитата

slav0nic писал(а):

а примеров сборки/портирования стороннего линуксового софта (без граф интерфейса) нигде нет? аля мейкфайлы для сборки vsftpd, ssh и тп


http://dmilvdv.narod.ru/Translate/ELSDD/elsdd_cross-compiling_using_co nfigure.html

https://www.google.com.ua/search?q=кросс-компиляция+под+arm-linux
_________________
Idea Кто хочет действовать, тот ищет возможности, кто не хочет — ищет причины.
 
Профиль Сообщение ^

programmist11180
Заслуженный участник форума

Заслуженный участник форума



Зарегистрирован: 27.09.2011
Сообщения: 276



СообщениеДобавлено: 05.06.2015 09:03     Цитата

Вопрос: как задать шрифт в окне настроек, вызываемом через OpenConfigEditor() ?
_________________
PBXMMS2client - плеер на PocketBook
 
Профиль Сообщение ^

pal
Член клуба The eBook

Член клуба The eBook



Зарегистрирован: 08.01.2012
Сообщения: 1510



СообщениеДобавлено: 05.06.2015 13:29     Цитата

programmist11180
В прошивках 4.х и новее - через тему, параметры
Код:
configeditor.listitem.font1
configeditor.listitem.font2
configeditor.listitem.font3


Раньше - hardcoded.
_________________
Idea Кто хочет действовать, тот ищет возможности, кто не хочет — ищет причины.
 
Профиль Сообщение ^

programmist11180
Заслуженный участник форума

Заслуженный участник форума



Зарегистрирован: 27.09.2011
Сообщения: 276



СообщениеДобавлено: 05.06.2015 22:00     Цитата

pal писал(а):
programmist11180
В прошивках 4.х и новее - через тему, параметры
Код:
configeditor.listitem.font1
configeditor.listitem.font2
configeditor.listitem.font3


Раньше - hardcoded.


Проблема однако. У меня PB602 с прошивкой 2.1.2
_________________
PBXMMS2client - плеер на PocketBook
 
Профиль Сообщение ^

tarakan012
Новенький участник форума

Новенький участник форума



Зарегистрирован: 05.11.2012
Сообщения: 9



СообщениеДобавлено: 08.06.2017 20:41     Цитата

Здравствуйте. При запуске скомпилированного приложения на pb 622(ПО E622.4.4) выдает - "ошибка при запуске программы". Ubuntu 14.04 x32 , sdkrelease_1_1a.
 
Профиль Сообщение ^
Показать сообщения:   
Начать новую тему   Ответить на тему    Список форумов The-eBook -> PocketBook -> PocketBook Free Часовой пояс: GMT + 4
На страницу Пред.  1, 2, 3 ... 16, 17, 18
Страница 18 из 18

 
Перейти:  
Вы не можете начинать темы
Вы не можете отвечать на сообщения
Вы не можете редактировать свои сообщения
Вы не можете удалять свои сообщения
Вы не можете голосовать в опросах

© The-eBook, 1999-2014. © Design by Prohorenkov
Syndicating News | Powered by phpBB © 2001, 2005 phpBB Group.
Хостинг предоставлен компанией DatForce     Яндекс.Метрика